# CustomerPrice

Table-name: b2bsellers\_customer\_price

Find below a link to configuration options, and a list of all available fields and associations for customer specific prices.

## Configuration

The following linked page will give you information on:

* How to add specific customer prices
  * via Shopware Admin
  * via API
* Creating customer specific proces without UUID's (Product and Customer)
* Some handy command lines for console to use

{% embed url="<https://docs.b2b-sellers.com/b2b-platform/user-guide/configuration/customer-specific-prices>" %}

### Table columns

| Field            | Class                 | Type     | Is required |
| ---------------- | --------------------- | -------- | ----------- |
| id               | IdField               | binary   | true        |
| customerId       | FkField               | binary   | true        |
| productId        | FkField               | binary   | true        |
| productVersionId | ReferenceVersionField | binary   | true        |
| currencyId       | FkField               | binary   | false       |
| productNumber    | StringField           | varchar  | false       |
| currencyIsoCode  | StringField           | varchar  | false       |
| customerNumber   | StringField           | varchar  | false       |
| from             | IntField              | int      | false       |
| to               | IntField              | int      | false       |
| priceNet         | FloatField            | Float    | false       |
| pseudoPriceNet   | FloatField            | Float    | false       |
| updatedAt        | UpdatedAtField        | Datetime | false       |
| createdAt        | CreatedAtField        | Datetime | true        |
| validFrom        | DateTimeField         | Datetime | false       |
| validUntil       | DateTimeField         | Datetime | false       |

### Associations

| Field    | Entity         | Class                     |
| -------- | -------------- | ------------------------- |
| customer | CustomerEntity | ManyToOneAssociationField |
| product  | ProductEntity  | ManyToOneAssociationField |
| currency | CurrencyEntity | ManyToOneAssociationField |

## Store API Methods

{% embed url="<https://docs.b2b-sellers.com/b2b-platform/api-references/store-api/customer-price>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.b2b-sellers.com/b2b-platform/3/api-references/entities/customerprice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
